Loading...
Searching...
No Matches
dolfin::PETScObject Class Reference

`#include <PETScObject.h>`

Inheritance diagram for dolfin::PETScObject:
[legend]

## Public Member Functions

| PETScObject ()
| Constructor. Ensures that PETSc has been initialised.
virtual | ~PETScObject ()
| Destructor.

## Static Public Member Functions

static void | petsc_error (int error_code, std::string filename, std::string petsc_function)
| Print error message for PETSc calls that return an error.

## Detailed Description

This class calls SubSystemsManager to initialise PETSc.

All PETSc objects must be derived from this class.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/PETScObject.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/PETScObject.cpp